Package org.apache.ignite.internal.processors.cache.persistence.snapshot.dump

## Class WriteOnlyZipFileIOFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.BufferedFileIOFactory
  - - org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.WriteOnlyZipFileIOFactory

All Implemented Interfaces:
  `Serializable`, `FileIOFactory`

    public class WriteOnlyZipFileIOFactory
    extends BufferedFileIOFactory

File I/O factory which provides `WriteOnlyZipFileIO` implementation of FileIO.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.BufferedFileIOFactory

`factory`

### Constructor Summary

Constructors
`WriteOnlyZipFileIOFactory​(FileIOFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WriteOnlyZipFileIO` `create​(File file, OpenOption... modes)` Creates I/O interface for file with specified mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory

`create`

### Constructor Detail

#### WriteOnlyZipFileIOFactory

    public WriteOnlyZipFileIOFactory​(FileIOFactory factory)

### Method Detail

#### create

    public WriteOnlyZipFileIO create​(File file,
                                     OpenOption... modes)
                              throws IOException

Creates I/O interface for file with specified mode.

Specified by:
  `create` in interface `FileIOFactory`
Overrides:
  `create` in class `BufferedFileIOFactory`
Parameters:
  `file` - File
  `modes` - Open modes.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.